import { genWarehouseAuthSearchModal, genBldgSearchModal } from '@/views/kzyWMS/SearchModal'

let grid = {
  span: 8,
  labelCol: { span: 8 }
}

export function item(self) {
  return [
    ...genWarehouseAuthSearchModal(1, true, false, null, self.brachChange, grid, null),
    {
      name: 'warehouseLogicName',
      label: '逻辑区名称',
      type: 'input'
    }, 
    {
      name: 'warehouseLogicCode',
      label: '逻辑区编码',
      type: 'input'
    },
    {
      name: 'isEnable',
      label: '是否启用',
      type: 'select',
      options: [
        {
          label: '是',
          value: '1'
        },
        {
          label: '否',
          value: '0'
        }
      ]
    },
  ]
}
